﻿using Syncfusion.SfDataGrid.XForms;
using Syncfusion.SfDataGrid.XForms.Exporting;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            GridTemplateColumn templateColumn = new GridTemplateColumn();
            templateColumn.MappingName = "DealerImage";
            templateColumn.CellTemplate = new DataTemplate(() =>
            {
                Frame frame = new Frame();
                Image image = new Image();
                image.Source = ImageSource.FromResource("DataGridDemo.Image2.png");
                image.HeightRequest = 25;
                image.WidthRequest = 25;
                image.HorizontalOptions = LayoutOptions.Center;
                image.VerticalOptions = LayoutOptions.Center;
                frame.Content = image;
                frame.Padding = 0;
                return frame;
            });
            sfGrid.Columns.Add(templateColumn);
            sfGrid.QueryRowHeight += OnDataGrid_QueryRowHeight;
        }

        private void OnDataGrid_QueryRowHeight(object sender, QueryRowHeightEventArgs e)
        {
            if (e.RowIndex != 0)
            {
                if (e.Height != sfGrid.RowHeight)
                    return;

                GridRowSizingOptions options = new GridRowSizingOptions();
                options.ExcludeColumns.Add("DealerImage");

                e.Height = sfGrid.GetRowHeight(e.RowIndex, options);
                e.Handled = true;
            }
        }
    }
}
